Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class MetaMethod

Field Summary
`String` | `mopName`
`String` | `signature`

Constructor Summary
`MetaMethod()`
`MetaMethod(def pt)`

Method Summary
`void` | `checkParameters(def arguments)` Checks that the given parameters are valid to call this method
`Object` | `clone()`
`static boolean` | `compatibleModifiers(int modifiersA, int modifiersB)`
`Object` | `doMethodInvoke(Object object, def argumentArray)`
`static boolean` | `equal(def a, def b)`
`static boolean` | `equal(def a, def b)`
`CachedClass` | `getDeclaringClass()`
`String` | `getDescriptor()`
`int` | `getModifiers()`
`String` | `getMopName()`
`String` | `getName()`
`Class` | `getReturnType()`
`String` | `getSignature()`
`Object` | `invoke(Object object, def arguments)`
`boolean` | `isAbstract()`
`boolean` | `isCacheable()`
`boolean` | `isMethod(MetaMethod method)`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`boolean` | `isSame(MetaMethod method)` and modifiers but may be defined on another type
`boolean` | `isStatic()`
`RuntimeException` | `processDoMethodInvokeException(Exception e, Object object, def argumentArray)`
`String` | `toString()`

Constructor Detail

### MetaMethod

    public MetaMethod()

### MetaMethod

    public MetaMethod(def pt)

Method Detail

### checkParameters

    public void checkParameters(def arguments)

  Checks that the given parameters are valid to call this method
  param:
    arguments the arguments to check
  throws:
    IllegalArgumentException if the parameters are not valid

### clone

    public Object clone()

### compatibleModifiers

    static boolean compatibleModifiers(int modifiersA, int modifiersB)

### doMethodInvoke

    public Object doMethodInvoke(Object object, def argumentArray)

### equal

    static boolean equal(def a, def b)

### equal

    static boolean equal(def a, def b)

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getDescriptor

    public String getDescriptor()

### getModifiers

    public int getModifiers()

### getMopName

    public String getMopName()

### getName

    public String getName()

### getReturnType

    public Class getReturnType()

### getSignature

    public String getSignature()

### invoke

    public Object invoke(Object object, def arguments)

### isAbstract

    public boolean isAbstract()

### isCacheable

    public boolean isCacheable()

### isMethod

    public boolean isMethod(MetaMethod method)

### isPrivate

    public boolean isPrivate()

### isProtected

    public boolean isProtected()

### isPublic

    public boolean isPublic()

### isSame

    public boolean isSame(MetaMethod method)

  param:
    method the method to compare against
  return:
    true if the given method has the same name, parameters, return type
  and modifiers but may be defined on another type

### isStatic

    public boolean isStatic()

### processDoMethodInvokeException

    RuntimeException processDoMethodInvokeException(Exception e, Object object, def argumentArray)

### toString

    public String toString()